from setuptools import setup, find_packages

with open('README.rst') as f:
    readme = f.read()
 
with open('VERSION') as f:
    _version = f.read()
    _version = _version.strip("\n")


setup(name='toolbox_scs',
      version=_version,
      description="A collection of code for the SCS beamline",
      long_description=readme,
      author='SCS team',
      author_email='scs@xfel.eu',
      url="https://git.xfel.eu/gitlab/SCS/ToolBox.git",
      keywords='XAS, xgm, DSSC, FCCD, PPL',
      license="GPL",
      package_dir={'': 'src'},
      packages=find_packages('src'),
      package_data={},
      install_requires=[
          'xarray>=0.13.0', 'numpy', 'matplotlib',
          'pandas', 'scipy', 'h5py', 'h5netcdf',
          'extra_data', 'euxfel_bunch_pattern>=0.6',
      ],
      )
